cURL
curl --request POST "https://rxresu.me/api/openapi/cover-letters/<id>/versions/<versionId>/restore" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{}'import requests
url = "https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore"
payload = { "proposalSafety": "v1" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({proposalSafety: 'v1'})
};
fetch('https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'proposalSafety' => 'v1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore"
payload := strings.NewReader("{\n \"proposalSafety\": \"v1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"proposalSafety\": \"v1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"proposalSafety\": \"v1\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"recipient": "<string>",
"content": "<string>",
"style": {
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 272,
"rotation": 180,
"aspectRatio": 1.5,
"borderRadius": 50,
"borderColor": "<string>",
"borderWidth": 1,
"shadowColor": "<string>",
"shadowWidth": 1
},
"metadata": {
"template": "azurill",
"page": {
"gapX": 1,
"gapY": 1,
"marginX": 50,
"marginY": 50,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true,
"dateFormat": "short"
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
},
"entry": {
"layout": "stacked",
"lead": "organization",
"accent": "none"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"hyphenation": true
},
"styleRules": "<unknown>",
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": 0,
"text": "<string>"
}
},
"web": {
"showCredit": true,
"css": "<string>"
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
},
"sectionId": "<string>",
"itemId": "<string>"
},
"id": "<string>",
"sourceResumeId": "<string>",
"sourceApplicationId": "<string>",
"senderLinked": true,
"designLinked": true,
"isLocked": true,
"revision": 4503599627370496,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"greeting": "<string>",
"signOff": "<string>",
"layout": "freeform",
"recipientName": "",
"recipientCompany": "",
"letterDate": "<string>",
"aiOperationIds": [
"<string>"
],
"aiUsage": {
"requests": 4503599627370495,
"models": [
{
"providerId": "<string>",
"label": "<string>",
"provider": "<string>",
"model": "<string>"
}
]
}
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Cover Letters
Restore a cover letter version
deprecated
Saves the current letter as “Before restore”, then makes the letter read as the version did. Linked details and design keep coming from the resume.
POST
/
cover-letters
/
{id}
/
versions
/
{versionId}
/
restore
cURL
curl --request POST "https://rxresu.me/api/openapi/cover-letters/<id>/versions/<versionId>/restore" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{}'import requests
url = "https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore"
payload = { "proposalSafety": "v1" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({proposalSafety: 'v1'})
};
fetch('https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'proposalSafety' => 'v1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore"
payload := strings.NewReader("{\n \"proposalSafety\": \"v1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"proposalSafety\": \"v1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/cover-letters/{id}/versions/{versionId}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"proposalSafety\": \"v1\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"recipient": "<string>",
"content": "<string>",
"style": {
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 272,
"rotation": 180,
"aspectRatio": 1.5,
"borderRadius": 50,
"borderColor": "<string>",
"borderWidth": 1,
"shadowColor": "<string>",
"shadowWidth": 1
},
"metadata": {
"template": "azurill",
"page": {
"gapX": 1,
"gapY": 1,
"marginX": 50,
"marginY": 50,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true,
"dateFormat": "short"
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
},
"entry": {
"layout": "stacked",
"lead": "organization",
"accent": "none"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"hyphenation": true
},
"styleRules": "<unknown>",
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": 0,
"text": "<string>"
}
},
"web": {
"showCredit": true,
"css": "<string>"
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
},
"sectionId": "<string>",
"itemId": "<string>"
},
"id": "<string>",
"sourceResumeId": "<string>",
"sourceApplicationId": "<string>",
"senderLinked": true,
"designLinked": true,
"isLocked": true,
"revision": 4503599627370496,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"greeting": "<string>",
"signOff": "<string>",
"layout": "freeform",
"recipientName": "",
"recipientCompany": "",
"letterDate": "<string>",
"aiOperationIds": [
"<string>"
],
"aiUsage": {
"requests": 4503599627370495,
"models": [
{
"providerId": "<string>",
"label": "<string>",
"provider": "<string>",
"model": "<string>"
}
]
}
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Path Parameters
Body
application/json
Response
The restored letter.